# Flourish axes highlights

Axes highlights should be appended per facet. so for example in LBP and scatter it is called in the facet.js file for each facet group. The minimum methods you will need to use is `appendTo`, `chartLayout` and `update`.

## animationDuration
How long you want the animations to take. Expects a number.

## numberParser
Used to parse numbers e.g. ```localization.getParser()```. Used to parse numbers when one of the axes is of type number. (If the axes are of type date we use the chart layout date parsers and strings arent parsed). Expects a function.

## appendTo
The parent element to append it to. We tend to use the `fl-data-foreground` group as the parent (if it exists). e.g. ```.appendTo(select(".fl-data-foreground"))```. Expects a d3 selection.

## xDisabled
If you want x highlights to be disabled (e.g. in LBP when a chart doesnt have an x axis). Expects a boolean.

## yDisabled
If you want y highlights to be disabled (e.g. in LBP when a chart doesnt have an y axis). Expects a boolean.

## xExtendByStep
If you want x area highlights to be extended (e.g. in LBP the area goes beyond the exact x value because it is covering a grid of columns). Expects a boolean.

## yExtendByStep
If you want y area highlights to be extended (e.g. in LBP the area goes beyond the exact y value because it is covering a grid of columns). Expects a boolean.

## chartLayout
Used for scales, margins, plot dimentions etc (should be one per facet).
Expects it to have:
```
- xDatetimeParse
- yDatetimeParse
- margins
- plot_height
- plot_width
- xData
- yData
- xScale
- yScale
```

## facetName
Name of facet, used to know if the highlight should apply to that facet or not. Expects a string.

## appendPatternsTo
Pass in the container you want the patterns to be appended to. It takes a d3 selection. If this is not called it will default to the appendTo container. As axes highlights are called per facet, it would be inefficient for a template with multiple facets to append the patterns to the facet container, as it would lead to patterns being defined more times than necessary. So if you are using a template that has multiple facets you should call `appendPatternsTo` just once in the draw function, passing it a container that wraps all of the facets (such as the svg) so that the same patterns are used for all axes highlights. If it is a template that doesnt have multiple facets you dont need to call this method as the default should work fine.

## update
update highlights!


